import {Component} from '@angular/core';
import {NavParams, ViewController} from "ionic-angular";
import {LoginService} from "../../pages/login/login.service";
import {HomeService} from "../../pages/home/home.service";
import {GlobalData} from "../../core/GlobleData";
import {Storage} from "@ionic/storage";

@Component({
    selector: 'search-filter',
    templateUrl: 'search-filter.html'
})
export class SearchFilterComponent {

    text: string;

    areaObj;
    industryObj;
    fundingObj;
    causeObj;
    areaList = [];
    industryList = [];
    fundingList = [];
    causeList = [];

    constructor(private viewCtrl: ViewController, private params: NavParams,
                private globle: GlobalData,
                private storage: Storage,
                private loginSer: LoginService,
                private HomeSer: HomeService) {
                    // this.areaObj = this.params.get("areaObj");
                    this.getInit()
                }

    getInit(){
        this.getArea()
        this.getIndustryList()
        this.getFundingList()
        this.getCauseList()
    }

    //获取区属
    getArea() {
        const data = {};
        this.loginSer.getArea(data).subscribe(
            (res) => {
                if (res.list) {
                    this.areaList = res.list;
                    this.areaList.unshift({code: "", name: "全市"})
                    this.areaList.splice(2, 0, {code: "-1", name: "区属"})
                }
            }
        )
    }
    //获取行业
    getIndustryList() {
        const data = {};
        this.HomeSer.getIndustryList(data).subscribe(
            (res) => {
                if (res.list) {
                    this.industryList = res.list;
                    this.industryList = this.industryList.filter(x => x.code == '01' || x.code == '04' || x.code == '02' || x.code == '03' || x.code == '08')
                    this.industryList.push({code: "-1", name: "其他"})
                }
            }
        )
    }
    //获取经费来源
    getFundingList() {
        const data = {};
        this.HomeSer.getFundingList(data).subscribe(
            (res) => {
                if (res.list) {
                    this.fundingList = res.list;
                }
            }
        )
    }
    //获取单位类别
    getCauseList() {
        const data = {};
        this.HomeSer.getCauseList(data).subscribe(
            (res) => {
                if (res.list) {
                    this.causeList = res.list;
                    this.causeList = this.causeList.filter(x => x.code == '1' || x.code == '2' || x.code == '3' || x.code == '4' || x.code == '5' || x.code == '6' || x.code == '7' || x.code == '8')
                }
            }
        )
    }

    //区域选择
    selectArea(value) {
        this.areaObj = value;
    }
    //行业选择
    selectIndustry(value) {
        this.industryObj = value;
    }
    //经费来源选择
    selectFunding(value) {
        this.fundingObj = value;
    }
    //单位类别选择
    selectCause(value) {
        this.causeObj = value;
    }

    //重置
    reset() {
        this.areaObj = null;
        this.industryObj = null;
        this.fundingObj = null;
        this.causeObj = null;
    }

    //确定
    confirm() {
        const data = {
            area: this.areaObj,
            industry: this.industryObj,
            funding: this.fundingObj,
            cause: this.causeObj,

        };
        this.viewCtrl.dismiss(data);
    }

}
