import {NgModule} from '@angular/core';
import {IonicPageModule} from 'ionic-angular';
import {HomePage} from "./home";
import {ComponentsModule} from "../../components/components.module";
import {ContactPage} from "./contact/contact";
import {DataReportPage} from "./data-report/data-report";
import {ContactListPage} from "./contact-list/contact-list";
import {ContactDetailPage} from "./contact-detail/contact-detail";
import {DoSupervisePage} from "./do-supervise/do-supervise";
import {DoVerityPage} from "./do-verity/do-verity";
import {InfoDetailPage} from "./report-info/info-detail/info-detail";
import {InfoListPage} from "./report-info/info-list/info-list";
import {YearReportPage} from "./report-info/year-report/year-report";
import {PipesModule} from "../../pipes/pipes.module";
import {ContactRolePage} from "./contact-role/contact-role";
import {PersonInfoPage} from "./report-info/person-info/person-info";

@NgModule({
    declarations: [
        HomePage,
        ContactPage,
        DataReportPage,
        ContactListPage,
        ContactDetailPage,
        DoSupervisePage,
        DoVerityPage,
        InfoDetailPage,
        InfoListPage,
        YearReportPage,
        ContactRolePage,
        PersonInfoPage
    ],
    imports: [
        IonicPageModule.forChild(HomePage),
        ComponentsModule,
        PipesModule,
    ],
    entryComponents: [
        ContactPage,
        DataReportPage,
        ContactListPage,
        ContactDetailPage,
        DoSupervisePage,
        DoVerityPage,
        InfoDetailPage,
        InfoListPage,
        ContactRolePage,
        YearReportPage,
        PersonInfoPage
    ]
})
export class HomeModule {
}
